%{?mingw_package_header}

%global pkgname poppler

Name:          mingw-%{pkgname}
Version:       0.24.5
Release:       3%{?dist}
Summary:       MinGW Windows Poppler library
Group:         Development/Libraries
License:       (GPLv2 or GPLv3) and GPLv2+ and LGPLv2+ and MIT
BuildArch:     noarch
URL:           http://poppler.freedesktop.org/
Source0:       http://poppler.freedesktop.org/%{pkgname}-%{version}.tar.xz
# Fixes fragile test for Qt5 moc
Patch0:        poppler_configureac-qt5.patch
# Add Libs.private sections to pkg-config
Patch1:        poppler_pkgconfig_private_libs.patch

# Needed for Patch0
BuildRequires: autoconf automake libtool

BuildRequires: gettext-devel

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-libjpeg-turbo
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-openjpeg
BuildRequires: mingw32-cairo
BuildRequires: mingw32-gtk3
BuildRequires: mingw32-lcms2
BuildRequires: mingw32-qt
BuildRequires: mingw32-qt5-qtbase-devel

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-libjpeg-turbo
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-openjpeg
BuildRequires: mingw64-cairo
BuildRequires: mingw64-gtk3
BuildRequires: mingw64-lcms2
BuildRequires: mingw64-qt
BuildRequires: mingw64-qt5-qtbase-devel


%description
MinGW Windows Poppler library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows Poppler library

%description -n mingw32-%{pkgname}
MinGW Windows Poppler library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows Poppler library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows Poppler library.


%package -n mingw32-%{pkgname}-glib
Summary:       MinGW Windows Poppler-Glib library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-glib
MinGW Windows Poppler-Glib library.


%package -n mingw32-%{pkgname}-glib-static
Summary:       Static version of the MinGW Windows Poppler-Glib library
Requires:      mingw32-%{pkgname}-glib = %{version}-%{release}

%description -n mingw32-%{pkgname}-glib-static
Static version of the MinGW Windows Poppler-Glib library.


%package -n mingw32-%{pkgname}-qt
Summary:       MinGW Windows Poppler-Qt4 library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-qt
MinGW Windows Poppler-Qt4 library.


%package -n mingw32-%{pkgname}-qt-static
Summary:       Static version of the MinGW Windows Poppler-Qt4 library
Requires:      mingw32-%{pkgname}-qt = %{version}-%{release}

%description -n mingw32-%{pkgname}-qt-static
Static version of the MinGW Windows Poppler-Qt4 library.


%package -n mingw32-%{pkgname}-qt5
Summary:       MinGW Windows Poppler-Qt5 library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-qt5
MinGW Windows Poppler-Qt5 library.


%package -n mingw32-%{pkgname}-qt5-static
Summary:       Static version of the MinGW Windows Poppler-Qt5 library
Requires:      mingw32-%{pkgname}-qt5 = %{version}-%{release}

%description -n mingw32-%{pkgname}-qt5-static
Static version of the MinGW Windows Poppler-Qt5 library.


%package -n mingw32-%{pkgname}-cpp
Summary:       MinGW Windows C++ Poppler library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-cpp
MinGW Windows C++ Poppler library.


%package -n mingw32-%{pkgname}-cpp-static
Summary:       Static version of the MinGW Windows C++ Poppler library
Requires:      mingw32-%{pkgname}-cpp = %{version}-%{release}

%description -n mingw32-%{pkgname}-cpp-static
Static version of the MinGW Windows C++ Poppler library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows Poppler library

%description -n mingw64-%{pkgname}
MinGW Windows Poppler library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows Poppler library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows Poppler library.


%package -n mingw64-%{pkgname}-glib
Summary:       MinGW Windows Poppler-Glib library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-glib
MinGW Windows Poppler-Glib library.


%package -n mingw64-%{pkgname}-glib-static
Summary:       Static version of the MinGW Windows Poppler-Glib library
Requires:      mingw64-%{pkgname}-glib = %{version}-%{release}

%description -n mingw64-%{pkgname}-glib-static
Static version of the MinGW Windows Poppler-Glib library.


%package -n mingw64-%{pkgname}-qt
Summary:       MinGW Windows Poppler-Qt4 library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-qt
MinGW Windows Poppler-Qt4 library.


%package -n mingw64-%{pkgname}-qt-static
Summary:       Static version of the MinGW Windows Poppler-Qt4 library
Requires:      mingw64-%{pkgname}-qt = %{version}-%{release}

%description -n mingw64-%{pkgname}-qt-static
Static version of the MinGW Windows Poppler-Qt4 library.


%package -n mingw64-%{pkgname}-qt5
Summary:       MinGW Windows Poppler-Qt5 library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-qt5
MinGW Windows Poppler-Qt5 library.


%package -n mingw64-%{pkgname}-qt5-static
Summary:       Static version of the MinGW Windows Poppler-Qt5 library
Requires:      mingw64-%{pkgname}-qt5 = %{version}-%{release}

%description -n mingw64-%{pkgname}-qt5-static
Static version of the MinGW Windows Poppler-Qt5 library.


%package -n mingw64-%{pkgname}-cpp
Summary:       MinGW Windows C++ Poppler library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-cpp
MinGW Windows C++ Poppler library.


%package -n mingw64-%{pkgname}-cpp-static
Summary:       Static version of the MinGW Windows C++ Poppler library
Requires:      mingw64-%{pkgname}-cpp = %{version}-%{release}

%description -n mingw64-%{pkgname}-cpp-static
Static version of the MinGW Windows C++ Poppler library.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p1

%build
autoreconf -if
%mingw_configure \
    --enable-cairo-output \
    --enable-libjpeg \
    --enable-libopenjpeg \
    --enable-poppler-qt4 \
    --enable-poppler-qt5 \
    --enable-xpdf-headers \
    --disable-zlib

%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Delete man files
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}

# Delete exe files
rm -f %{buildroot}%{mingw32_bindir}/*.exe
rm -f %{buildroot}%{mingw64_bindir}/*.exe

%files -n mingw32-%{pkgname}
%doc COPYING README
%{mingw32_bindir}/libpoppler-44.dll
%{mingw32_includedir}/poppler/
%exclude %{mingw32_includedir}/poppler/cpp/
%exclude %{mingw32_includedir}/poppler/glib/
%exclude %{mingw32_includedir}/poppler/qt4/
%exclude %{mingw32_includedir}/poppler/qt5/
%{mingw32_libdir}/libpoppler.dll.a
%{mingw32_libdir}/pkgconfig/poppler.pc
%{mingw32_libdir}/pkgconfig/poppler-splash.pc

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libpoppler.a

%files -n mingw32-%{pkgname}-glib
%{mingw32_bindir}/libpoppler-glib-8.dll
%{mingw32_includedir}/poppler/glib/
%{mingw32_libdir}/libpoppler-glib.dll.a
%{mingw32_libdir}/pkgconfig/poppler-glib.pc
%{mingw32_libdir}/pkgconfig/poppler-cairo.pc

%files -n mingw32-%{pkgname}-glib-static
%{mingw32_libdir}/libpoppler-glib.a

%files -n mingw32-%{pkgname}-qt
%{mingw32_bindir}/libpoppler-qt4-4.dll
%{mingw32_includedir}/poppler/qt4/
%{mingw32_libdir}/libpoppler-qt4.dll.a
%{mingw32_libdir}/pkgconfig/poppler-qt4.pc

%files -n mingw32-%{pkgname}-qt-static
%{mingw32_libdir}/libpoppler-qt4.a

%files -n mingw32-%{pkgname}-qt5
%{mingw32_bindir}/libpoppler-qt5-1.dll
%{mingw32_includedir}/poppler/qt5/
%{mingw32_libdir}/libpoppler-qt5.dll.a
%{mingw32_libdir}/pkgconfig/poppler-qt5.pc

%files -n mingw32-%{pkgname}-qt5-static
%{mingw32_libdir}/libpoppler-qt5.a

%files -n mingw32-%{pkgname}-cpp
%{mingw32_bindir}/libpoppler-cpp-0.dll
%{mingw32_includedir}/poppler/cpp/
%{mingw32_libdir}/libpoppler-cpp.dll.a
%{mingw32_libdir}/pkgconfig/poppler-cpp.pc

%files -n mingw32-%{pkgname}-cpp-static
%{mingw32_libdir}/libpoppler-cpp.a

%files -n mingw64-%{pkgname}
%doc COPYING README
%{mingw64_bindir}/libpoppler-44.dll
%{mingw64_includedir}/poppler/
%{mingw64_libdir}/libpoppler.dll.a
%{mingw64_libdir}/pkgconfig/poppler.pc
%{mingw64_libdir}/pkgconfig/poppler-splash.pc

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libpoppler.a

%files -n mingw64-%{pkgname}-glib
%{mingw64_bindir}/libpoppler-glib-8.dll
%{mingw64_includedir}/poppler/glib/
%exclude %{mingw64_includedir}/poppler/cpp/
%exclude %{mingw64_includedir}/poppler/glib/
%exclude %{mingw64_includedir}/poppler/qt4/
%exclude %{mingw64_includedir}/poppler/qt5/
%{mingw64_libdir}/libpoppler-glib.dll.a
%{mingw64_libdir}/pkgconfig/poppler-glib.pc
%{mingw64_libdir}/pkgconfig/poppler-cairo.pc

%files -n mingw64-%{pkgname}-glib-static
%{mingw64_libdir}/libpoppler-glib.a

%files -n mingw64-%{pkgname}-qt
%{mingw64_bindir}/libpoppler-qt4-4.dll
%{mingw64_includedir}/poppler/qt4/
%{mingw64_libdir}/libpoppler-qt4.dll.a
%{mingw64_libdir}/pkgconfig/poppler-qt4.pc

%files -n mingw64-%{pkgname}-qt-static
%{mingw64_libdir}/libpoppler-qt4.a

%files -n mingw64-%{pkgname}-qt5
%{mingw64_bindir}/libpoppler-qt5-1.dll
%{mingw64_includedir}/poppler/qt5/
%{mingw64_libdir}/libpoppler-qt5.dll.a
%{mingw64_libdir}/pkgconfig/poppler-qt5.pc

%files -n mingw64-%{pkgname}-qt5-static
%{mingw64_libdir}/libpoppler-qt5.a

%files -n mingw64-%{pkgname}-cpp
%{mingw64_bindir}/libpoppler-cpp-0.dll
%{mingw64_includedir}/poppler/cpp/
%{mingw64_libdir}/libpoppler-cpp.dll.a
%{mingw64_libdir}/pkgconfig/poppler-cpp.pc

%files -n mingw64-%{pkgname}-cpp-static
%{mingw64_libdir}/libpoppler-cpp.a


%changelog
* Mon May 11 2015 Sandro Mani <manisandro@gmail.com> - 0.24.5-3
- Fix includes listed multiple times, add --enable-xpdf-headers

* Fri Apr 25 2014 Sandro Mani <manisandro@gmail.com> - 0.24.5-2
- Add poppler_pkgconfig_private_libs.patch

* Fri Jan 03 2014 Sandro Mani <manisandro@gmail.com> - 0.24.5-1
- Update to 0.24.5, fixes #1048203

* Wed Nov 27 2013 Sandro Mani <manisandro@gmail.com> - 0.24.4-1
- Update to 0.24.4

* Mon Oct 28 2013 Sandro Mani <manisandro@gmail.com> - 0.24.3-2
- Add patch to fix Qt5 detection

* Mon Oct 28 2013 Sandro Mani <manisandro@gmail.com> - 0.24.3-1
- Update to 0.24.3

* Mon Sep 30 2013 Sandro Mani <manisandro@gmail.com> - 0.24.2-1
- Update to 0.24.2

* Tue Aug 27 2013 Sandro Mani <manisandro@gmail.com> - 0.24.1-1
- Update to 0.24.1
- Enable qt5 build

* Mon Aug 19 2013 Sandro Mani <manisandro@gmail.com> - 0.24.0-1
- Update to 0.24.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.22.5-2
- Rebuild against libpng 1.6

* Mon Jun 17 2013 Sandro Mani <manisandro@gmail.com> - 0.22.5-1
- Update to 0.22.5

* Sat May 11 2013 Sandro Mani <manisandro@gmail.com> - 0.22.1-2
- Use versioned BuildRequires for mingw32/64-filesystem
- Remove unused mingw_build_win32/64 macros
- Remove tools subpackage (and do not ship exes)

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 0.22.1-1
- Initial Fedora package
